# History file 'corfun.h' to generate and plot the representations
# of the random media for paper
#     Klimes, L. (1997): Correlation functions of random media.
#         In: Seismic Waves in Complex 3-D Structures, Report 6.
#         Department of Geophysics, Charles University, Prague.
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Data common to all representations

# Grid dimensions
  N1=501  N2=501  D1=0.002  D2=0.002
# Velocities between 0.0 and 2.0, with mean value of 1.000
  DSD=0.500  VMEAN=1.000  DEVMAX=1.000  DEVEXP=2.
# Selecting a particular pseudo-random representation
  ISEED=-13

# Representations of individual random media

# Figure 2
  CTYPE='D'  POWERN=-0.2  ACORG=0.005  ACOR=0.020
  grdran2d: 'corfun.h' 'corf02.out' /

# Figure 3
  CTYPE='D'  POWERN=-1.0  ACORG=0.005  ACOR=
# CTYPE='L'  POWERN=-1.0  ACORG=0.005              # alternative data
# CTYPE='G'               ACORG=0.005              # alternative data
  grdran2d: 'corfun.h' 'corf03.out' /

# Figure 4
  CTYPE='D'  POWERN=-0.2  ACORG=0.     ACOR=0.020
# CTYPE='K'  POWERN=-0.2               ACOR=0.020  # alternative data
  grdran2d: 'corfun.h' 'corf04.out' /

# Figure 5
  CTYPE='D'  POWERN= 0.5  ACORG=0.     ACOR=0.020
# CTYPE='K'  POWERN= 0.5               ACOR=0.020  # alternative data
# CTYPE='E'                            ACOR=0.020  # alternative data
  grdran2d: 'corfun.h' 'corf05.out' /

# Figure 6
  CTYPE='D'  POWERN= 0.0  ACORG=0.     ACOR=0.020
# CTYPE='K'  POWERN= 0.0               ACOR=0.020  # alternative data
  grdran2d: 'corfun.h' 'corf06.out' /

# Figure 7
  CTYPE='D'  POWERN=-0.2  ACORG=0.     ACOR=
# CTYPE='K'  POWERN=-0.2               ACOR=       # alternative data
# CTYPE='L'  POWERN=-0.2  ACORG=0.                 # alternative data
# CTYPE='S'  POWERN=-0.2                           # alternative data
  grdran2d: 'corfun.h' 'corf07.out' /

# Figure 8
  CTYPE='D'  POWERN=-0.2  ACORG=0.005  ACOR=
# CTYPE='L'  POWERN=-0.2  ACORG=0.005              # alternative data
  grdran2d: 'corfun.h' 'corf08.out' /

# Plotting the representations of the random medium
  HSIZE=16.032  HOFFSET=2.484
  VCIRC=2.      VREF=1.000     CREF=.166667
  grdps: 'corfun.h' 'corf02.out' 'corf02.ps' /
  grdps: 'corfun.h' 'corf03.out' 'corf03.ps' /
  grdps: 'corfun.h' 'corf04.out' 'corf04.ps' /
  grdps: 'corfun.h' 'corf05.out' 'corf05.ps' /
  grdps: 'corfun.h' 'corf06.out' 'corf06.ps' /
  grdps: 'corfun.h' 'corf07.out' 'corf07.ps' /
  grdps: 'corfun.h' 'corf08.out' 'corf08.ps' /

# ======================================================================

# Temporary files (may be deleted):
# '*.tmp'

# List of output PostScript figures:
# 'corf02.ps', 'corf03.ps', ..., 'corf08.ps'
